package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 查询日志对象 report_query_log
 * 
 * @author boman
 * @date 2021-12-27
 */
public class ReportQueryLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 查询日志ID */
    private Long logId;

    /** 报告编号 */
    @Excel(name = "报告编号")
    private String reportNumber;

    /** 查询人姓名 */
    @Excel(name = "查询人姓名")
    private String queryName;

    /** 查询人手机号 */
    @Excel(name = "查询人手机号")
    private String queryPhone;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String companyName;

    /** 单位手机号 */
    @Excel(name = "单位手机号")
    private String companyPhone;

    /** 查询主体 */
    @Excel(name = "查询主体")
    private String queryType;

    /** 查询方式(1 二维码 2 粗略 3 详细查询) */
    @Excel(name = "查询方式(1 二维码 2 粗略 3 详细查询)")
    private String queryMode;

    /** 查询码 */
    @Excel(name = "查询码")
    private String queryNum;
    /**
     * 验证码
     */
    @Excel(name = "验证码")
    private String code;

    /**
     * 二维码
     */
    @Excel(name = "二维码")
    private String qrImage;

    /** 是否删除（N正常 Y删除） */
    @Excel(name = "是否删除", readConverterExp = "N=正常,Y=删除")
    private String isDel;
    /**
     * 是否成功
     */
    @Excel(name = "是否成功", readConverterExp = "0=成功,1=失败")
    private String isSuccess;

    public String getQrImage() {
        return qrImage;
    }

    public void setQrImage(String qrImage) {
        this.qrImage = qrImage;
    }

    public String getIsSuccess() {
        return isSuccess;
    }

    public void setIsSuccess(String isSuccess) {
        this.isSuccess = isSuccess;
    }

    public void setLogId(Long logId)
    {
        this.logId = logId;
    }

    public Long getLogId() 
    {
        return logId;
    }
    public void setReportNumber(String reportNumber) 
    {
        this.reportNumber = reportNumber;
    }

    public String getReportNumber() 
    {
        return reportNumber;
    }
    public void setQueryName(String queryName) 
    {
        this.queryName = queryName;
    }

    public String getQueryName() 
    {
        return queryName;
    }
    public void setQueryPhone(String queryPhone) 
    {
        this.queryPhone = queryPhone;
    }

    public String getQueryPhone() 
    {
        return queryPhone;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setCompanyPhone(String companyPhone) 
    {
        this.companyPhone = companyPhone;
    }

    public String getCompanyPhone() 
    {
        return companyPhone;
    }
    public void setQueryType(String queryType) 
    {
        this.queryType = queryType;
    }

    public String getQueryType() 
    {
        return queryType;
    }
    public void setQueryMode(String queryMode) 
    {
        this.queryMode = queryMode;
    }

    public String getQueryMode() 
    {
        return queryMode;
    }
    public void setQueryNum(String queryNum) 
    {
        this.queryNum = queryNum;
    }

    public String getQueryNum() 
    {
        return queryNum;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("logId", getLogId())
            .append("reportNumber", getReportNumber())
            .append("queryName", getQueryName())
            .append("queryPhone", getQueryPhone())
            .append("companyName", getCompanyName())
            .append("companyPhone", getCompanyPhone())
            .append("queryType", getQueryType())
            .append("queryMode", getQueryMode())
            .append("queryNum", getQueryNum())
            .append("code", getCode())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
